#
# spec file for package fftw (Version 2.1.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  g77 mpich
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex g77 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils mpich ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         fftw
Summary:      Discrete Fourier Transform (DFT) C subroutine library
Version:      2.1.3
Release:      299
Copyright: GPL
Group: Applications/Scientific
Prefix: /usr
Source: ftp://theory.lcs.mit.edu/pub/fftw/fftw-2.1.3.tar.bz2
URL: http://www.fftw.org/
Autoreqprov:  on
BuildRoot: 	/var/tmp/%{name}-%{version}-root

%description
FFTW is a C subroutine library for computing the Discrete Fourier Transform (DFT) in one or more dimensions, of both real and complex data, and of arbitrary input size.

Authors:
--------
    Matteo Frigo (athena@theory.lcs.mit.edu)
    Stevenj G. Johnson (stevenj@alum.mit.edu)

SuSE series: beo

%package mpi
Summary:      Discrete Fourier Transform (DFT) - MPI support
Group: Applications/Scientific
Prefix: %{prefix}
Requires: fftw = %{version}-%{release}, mpich

%description mpi
Discrete Fourier Transform (DFT) - MPI support.
See package fftw for more details.

SuSE series: beo

%package devel
Summary:      Development libraries for fftw
Group: Development/Libraries
Prefix: %{prefix}
Requires: fftw = %{version}-%{release}

%description devel
Development libraries for fftw

Authors:
--------
    Matteo Frigo (athena@theory.lcs.mit.edu)
    Stevenj G. Johnson (stevenj@alum.mit.edu)

SuSE series: beo

%package mpi-devel
Summary:      Discrete Fourier Transform (DFT) - Header for MPI-Support
Group: Development/Libraries
Prefix: %{prefix}
Requires: fftw = %{version}-%{release}, fftw-mpi

%description mpi-devel
Discrete Fourier Transform (DFT) - Header for MPI-Support.
See Package fftw for more information.

SuSE series: beo

%package threads
Summary:      Discrete Fourier Transform (DFT) - Threads Support
Group: Applications/Scientific
Prefix: %{prefix}
Requires: fftw = %{version}-%{release}

%description threads
Discrete Fourier Transform (DFT) - Threads Support
See package fftw for more details

SuSE series: beo

%package threads-devel
Summary:      Discrete Fourier Transform (DFT) - Headers for Thread support
Group: Development/Libraries
Prefix: %{prefix}
Requires: fftw-threads = %{version}-%{release}
Requires: fftw-devel = %{version}-%{release}

%description threads-devel
Discrete Fourier Transform (DFT) - Headers for Thread support
See package fftw for more details

SuSE series: beo

%prep
%setup
cd $RPM_BUILD_DIR
%{?suse_update_config:%{suse_update_config -f fftw-2.1.3}}

%build
if [  -z "$MPI_HOME" ]; then
        export MPI_HOME=/usr/lib/mpich
fi                            
MPICC=$MPI_HOME/bin/mpicc ./configure --prefix=/usr --enable-shared \
	--enable-type-prefix --enable-threads \
	--enable-mpi --infodir=%{_infodir} \
%ifarch i386
	--enable-i386-hacks \
%endif
	%{_target_cpu}-suse-linux
make

%install
if [  -z "$MPI_HOME" ]; then
        export MPI_HOME=/usr/lib/mpich
fi                            
make DESTDIR=$RPM_BUILD_ROOT install
# hack to also compile/install single-precision version:
make distclean
MPICC=$MPI_HOME/bin/mpicc ./configure --prefix=/usr --enable-shared --enable-type-prefix --enable-threads --enable-float --enable-mpi --infodir=%{_infodir} %{_target_cpu}-suse-linux
make
make DESTDIR=$RPM_BUILD_ROOT install
install fftw/*.h $RPM_BUILD_ROOT/usr/include
cp rfftw/rfftw.h $RPM_BUILD_ROOT/usr/include
cp fftw/config.h $RPM_BUILD_ROOT/usr/include/fftw-config.h
sed -e 's/<config.h>/<fftw-config.h>/' fftw/fftw-int.h > $RPM_BUILD_ROOT/usr/include/fftw-int.h

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING COPYRIGHT ChangeLog INSTALL NEWS README README.hacks TODO
%doc doc/* FAQ
/usr/lib/libdfftw.so.2
/usr/lib/libdfftw.so.2.0.5
/usr/lib/libdrfftw.so.2
/usr/lib/libdrfftw.so.2.0.5
/usr/lib/libsfftw.so.2
/usr/lib/libsfftw.so.2.0.5
/usr/lib/libsrfftw.so.2
/usr/lib/libsrfftw.so.2.0.5

%files threads
/usr/lib/libdfftw_threads.so.2
/usr/lib/libdfftw_threads.so.2.0.5
/usr/lib/libdrfftw_threads.so.2
/usr/lib/libdrfftw_threads.so.2.0.5
/usr/lib/libsfftw_threads.so.2
/usr/lib/libsfftw_threads.so.2.0.5
/usr/lib/libsrfftw_threads.so.2
/usr/lib/libsrfftw_threads.so.2.0.5

%files mpi
/usr/lib/libdfftw_mpi.so.2
/usr/lib/libdfftw_mpi.so.2.0.5
/usr/lib/libdrfftw_mpi.so.2
/usr/lib/libdrfftw_mpi.so.2.0.5
/usr/lib/libsfftw_mpi.so.2
/usr/lib/libsfftw_mpi.so.2.0.5
/usr/lib/libsrfftw_mpi.so.2
/usr/lib/libsrfftw_mpi.so.2.0.5

%files devel
%{_infodir}/fftw.info.gz
%{_infodir}/fftw.info-?.gz
/usr/include/dfftw.h
/usr/include/drfftw.h
/usr/include/sfftw.h
/usr/include/srfftw.h
/usr/include/rfftw.h
/usr/include/fftw.h
/usr/include/fftw-int.h
/usr/include/fftw-config.h
/usr/include/f77_func.h
/usr/lib/libdfftw.a
/usr/lib/libdfftw.la
/usr/lib/libdfftw.so
/usr/lib/libdrfftw.a
/usr/lib/libdrfftw.la
/usr/lib/libdrfftw.so
/usr/lib/libsfftw.a
/usr/lib/libsfftw.la
/usr/lib/libsfftw.so
/usr/lib/libsrfftw.a
/usr/lib/libsrfftw.la
/usr/lib/libsrfftw.so

%files threads-devel
/usr/include/dfftw_threads.h
/usr/include/drfftw_threads.h
/usr/include/sfftw_threads.h
/usr/include/srfftw_threads.h
/usr/lib/libdfftw_threads.a
/usr/lib/libdfftw_threads.la
/usr/lib/libdfftw_threads.so
/usr/lib/libdrfftw_threads.a
/usr/lib/libdrfftw_threads.la
/usr/lib/libdrfftw_threads.so
/usr/lib/libsfftw_threads.a
/usr/lib/libsfftw_threads.la
/usr/lib/libsfftw_threads.so
/usr/lib/libsrfftw_threads.a
/usr/lib/libsrfftw_threads.la
/usr/lib/libsrfftw_threads.so

%files mpi-devel
/usr/include/dfftw_mpi.h
/usr/include/drfftw_mpi.h
/usr/include/sfftw_mpi.h
/usr/include/srfftw_mpi.h
/usr/lib/libdfftw_mpi.a
/usr/lib/libdfftw_mpi.la
/usr/lib/libdfftw_mpi.so
/usr/lib/libdrfftw_mpi.a
/usr/lib/libdrfftw_mpi.la
/usr/lib/libdrfftw_mpi.so
/usr/lib/libsfftw_mpi.a
/usr/lib/libsfftw_mpi.la
/usr/lib/libsfftw_mpi.so
/usr/lib/libsrfftw_mpi.a
/usr/lib/libsrfftw_mpi.la
/usr/lib/libsrfftw_mpi.so

%changelog -n fftw
* Mon Jan 08 2001 - nashif@suse.de
-  Split package to fftw, fftw-thread, fftw-mpi and devel for each.
* Sat Dec 09 2000 - nashif@suse.de
-  sorted
* Mon Oct 30 2000 - nashif@suse.de
- Added subpackage fftw-devel
- use BuildRoot
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Thu Apr 06 2000 - marquardt@suse.de
- added missing mpi libs to %%files section in specfile
* Wed Mar 15 2000 - kukuk@suse.de
- Fix specfile for non-intel platforms
* Thu Mar 02 2000 - ro@suse.de
- use macro for infodir, cleaned specfile
* Fri Jan 07 2000 - marquardt@suse.de
- added missing include files to %%files-section
* Mon Oct 11 1999 - ro@suse.de
- use prefix=/usr also on non-x86
* Thu Oct 07 1999 - nashif@suse.de
- new package
